Generates certificate signing request (CSR) for a certificate-record
put
/rest/{version}/configuration/certificates/generateRequest
This API allows the client to generate a certificate signing request in PKCS10 PEM format. The generated private key is stored in the certificate-record configuration element. The client making this request must already possess the configuration lock or the request fails. If one or more attributes or sub-elements in the request is syntactically invalid in any way, this request fails and the certificate-record configuration is left unmodified.
Request
Path Parameters
-
version(required):
REST API version string.
Available values: v1.2
Query Parameters
-
reGenerate:
Flag to indicate whether to regenerate CSR or not
-
recordName(required):
Name of the certificate-record.
Header Parameters
-
Authorization(required):
The value in the Authorization header must be the string "
Bearer {access token}", where{access token}is a valid, unexpired token received in response to a prior/rest/{version}/auth/tokenrequest.
Response
200 Response
OK - Certificate signing request is returned in data section of the response body.
400 Response
The request is malformed in some way or is missing required information and therefore cannot be processed.
401 Response
Unauthorized - Request lacks valid authentication credentials.
403 Response
This request requires the client credentials to have administrator privileges.
404 Response
Certificate specified with recordName key attribute is not found
423 Response
The request requires the configuration lock and failed because the client does not currently own the lock. If another client or user currently owns the configuration lock, the error message is "Resource locked by another user". If no client or user owns the configuration lock, the error message is "User does not have the lock".